using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Example_4_2
{
  public partial class frmPizza : Form
  {
    public frmPizza()
    {
      InitializeComponent();
    }

    Pizza myPizza;
    CheckBox[] topping = new CheckBox[6];
    bool loading = true;

    private void frmPizza_Load(object sender, EventArgs e)
    {
      myPizza = new Pizza();
      // Define an array of topping check boxes 
      topping[0] = chkCheese;
      topping[1] = chkMushrooms;
      topping[2] = chkOlives;
      topping[3] = chkOnions;
      topping[4] = chkPeppers;
      topping[5] = chkTomatoes;
      loading = false;
    }

    private void rdoSize_CheckedChanged(object sender, EventArgs e)
    {
      if (!loading)
      {
        myPizza.PizzaSize = ((RadioButton)sender).Text;
      }
    }

    private void rdoCrust_CheckedChanged(object sender, EventArgs e)
    {
      if (!loading)
      {
        myPizza.PizzaCrust = ((RadioButton)sender).Text;
      }
    }

    private void rdoWhere_CheckedChanged(object sender, EventArgs e)
    {
      if (!loading)
      {
        myPizza.PizzaWhere = ((RadioButton)sender).Text;
      }
    }

    private void btnBuild_Click(object sender, EventArgs e)
    {
      // This method builds a message box that displays your pizza type
      // Check each topping using the array we set up
      for (int i = 0; i < 6; i++)
      {
        if (topping[i].Checked)
        {
          myPizza.PizzaTopping[i] = topping[i].Text;
        }
        else
        {
          myPizza.PizzaTopping[i] = "";
        }
      }
      MessageBox.Show(myPizza.DescribePizza() , "Your Pizza", MessageBoxButtons.OK);
    }

    private void btnExit_Click(object sender, EventArgs e)
    {
      this.Close();
    }

      
  }
}